For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • POSTGenerate Description
LogoLogo
Sign upLog in
API ReferenceModelConnections

Get

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.connections.get("landscapeId", "versionId", "modelConnectionId", {});
8}
9main();
1{
2 "modelConnection": {
3 "commit": 1.1,
4 "createdAt": "2024-01-15T09:30:00Z",
5 "createdBy": "user",
6 "createdById": "string",
7 "diagrams": {},
8 "direction": "outgoing",
9 "flows": {},
10 "handleId": "string",
11 "id": "string",
12 "labels": {},
13 "landscapeId": "string",
14 "linked": true,
15 "links": {},
16 "name": "string",
17 "originId": "string",
18 "status": "deprecated",
19 "tagIds": [
20 "string"
21 ],
22 "targetId": "string",
23 "technologyIds": [
24 "string"
25 ],
26 "updatedAt": "2024-01-15T09:30:00Z",
27 "updatedBy": "user",
28 "updatedById": "string",
29 "version": 1.1,
30 "versionId": "string",
31 "viaId": "string",
32 "deletedAt": "2024-01-15T09:30:00Z",
33 "deletedBy": "user",
34 "deletedById": "string",
35 "description": "string",
36 "latestEntityId": "string",
37 "tags": {},
38 "technologies": {}
39 }
40}
Was this page helpful?
Previous

Upsert

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelConnectionIdstringRequired

Query parameters

expandlist of enumsOptional
Allowed values:

Response

OK
modelConnectionobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error